# Scotty Changelog

## 0.4.0 - 2024-01-21
- JSPF: implement append mode
- scrobberlog: append mode is enabled by default
- Subsonic: Only set tags if genre is not empty
- ListenBrainz: Listen import can be configured to check for duplicate listens
- spotify-history: New backend for importing from Spotify extended streaming
  history JSON files
- Allow date time string for `--timestamp` parameter
- Enabled output for "dump" backend again
- Fixed completed progress bar showing empty
- Fixed crash in case of importer returning an error on import start


## 0.3.1 - 2023-12-10
- Prompt user to authenticate after service requiring authentication added
- Commands service auth, edit and delete now all support `--service` flag
- Do not apply locale formatting in UI output to Unix timestamps
- Default for service delete confirmation is now "no"
- Default for Maloja "nofix" option is now "no"
- Fixed last stored timestamp for beam loves not getting loaded
- Fixed crash with invalid target config name in beam commands


## 0.3.0 - 2023-12-09
- Initialize config if it does not exist
- Set database path relative to config file location
- Implemented service configuration commands
- Use positional arguments for source and target in beam commands
- Allow specifying `--timestamp 0`
- Subsonic: fixed filtering songs based on timestamp
- JSPF: add MB playlist extension
- Spotify: fixed loves export count
- Deezer: fixed listen export count
- ListenBrainz: fetch listens in reverse listen time order
- Initial localization of user interface
- Documented general configuration and usage


## 0.2.0 - 2023-11-28
- lastfm: support for scrobble and love export/import
- jspf: consider loved track MBID
- Fixed tracking of import errors


## 0.1.0 - 2023-11-24
- Initial development release with support for ListenBrainz, Maloja, Funkwhale,
  Subsonic, Spotify, Deezer, JSPF and scrobblerlog files.
